cURL
curl --request GET \
--url https://aodocs.altirnao.com/api/view/v1/libraries/{libraryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/view/v1/libraries/{libraryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/view/v1/libraries/{libraryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"availableFields": [
{
"capabilities": [],
"filterOperators": [],
"hidden": true,
"id": "<string>",
"kind": "<string>",
"multiple": true,
"name": "<string>",
"name_i18n": "<string>",
"system": true
}
],
"browseBy": {
"kind": "<string>",
"name": "<string>",
"name_i18n": "<string>",
"value": "<string>"
},
"canDisplay": true,
"classId": "<string>",
"className": "<string>",
"customUIActions": [
{
"displayedOn": {
"classIds": [
{
"documents": true,
"id": "<string>",
"kind": "<string>",
"views": true
}
],
"viewIds": [
{
"id": "<string>",
"kind": "<string>"
}
]
},
"icon": "<string>",
"id": "<string>",
"kind": "<string>",
"libraryId": "<string>",
"title": "<string>",
"url": "<string>",
"windowName": "<string>"
}
],
"defaultView": true,
"disableEditViewCells": true,
"displayColumns": [
{
"kind": "<string>",
"name": "<string>",
"name_i18n": "<string>",
"value": "<string>"
}
],
"expandFilters": true,
"filterColumns": [
{
"kind": "<string>",
"name": "<string>",
"name_i18n": "<string>",
"value": "<string>"
}
],
"filters": [
{
"column": {
"kind": "<string>",
"name": "<string>",
"name_i18n": "<string>",
"value": "<string>"
},
"kind": "<string>",
"value": "<string>",
"values": [
[
{
"id": "<string>",
"name": "<string>",
"name_i18n": "<string>",
"value": "<string>"
}
]
]
}
],
"hideOutdatedCategoryValues": true,
"id": "<string>",
"includeOtherClasses": true,
"includeSubfolders": true,
"kind": "<string>",
"libraryId": "<string>",
"name": "<string>",
"name_i18n": "<string>",
"numberOfDocumentsPerPage": 123,
"order": {
"descending": true,
"kind": "<string>",
"sortByField": {
"kind": "<string>",
"name": "<string>",
"name_i18n": "<string>",
"value": "<string>"
}
},
"searchInAttachmentsByDefault": true,
"showInLibrary": true,
"sidePanelSettings": {
"enabled": true,
"hideWorkflowActions": true
},
"url": "<string>",
"value": "<string>",
"visibility": {
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>"
}
}
],
"kind": "<string>"
}view
Get viewv1libraries
Lists the ID/names of the views available in the library.
GET
/
view
/
v1
/
libraries
/
{libraryId}
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the library
⌘I